package org.dromara.system.service;

import org.dromara.system.domain.StudentLiveOld;
import org.dromara.system.domain.vo.StudentLiveOldVo;
import org.dromara.system.domain.bo.StudentLiveOldBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学生生活历史信息Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IStudentLiveOldService {

    /**
     * 查询学生生活历史信息
     */
    StudentLiveOldVo queryById(Long liveId);

    /**
     * 查询学生生活历史信息列表
     */
    TableDataInfo<StudentLiveOldVo> queryPageList(StudentLiveOldBo bo, PageQuery pageQuery);

    /**
     * 查询学生生活历史信息列表
     */
    List<StudentLiveOldVo> queryList(StudentLiveOldBo bo);

    /**
     * 新增学生生活历史信息
     */
    Boolean insertByBo(StudentLiveOldBo bo);

    /**
     * 修改学生生活历史信息
     */
    Boolean updateByBo(StudentLiveOldBo bo);

    /**
     * 校验并批量删除学生生活历史信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
